Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsPixmapItem.ShapeMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGraphicsPixmapItem.ShapeMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGraphicsPixmapItem

    public static final class QGraphicsPixmapItem.ShapeMode

extends java.lang.Enum
implements QtEnumerator

This enum describes how `QGraphicsPixmapItem` calculates its shape and opaque area.

The default value is `MaskShape` .

See Also:
  Serialized Form

Field Summary
`static QGraphicsPixmapItem.ShapeMode` | `BoundingRectShape` The shape is determined by tracing the outline of the pixmap.
`static QGraphicsPixmapItem.ShapeMode` | `HeuristicMaskShape` The shape is determine by calling `QPixmap::createHeuristicMask()`.
`static QGraphicsPixmapItem.ShapeMode` | `MaskShape` The shape is determined by calling `QPixmap::mask()`.

Method Summary
`static QGraphicsPixmapItem.ShapeMode` | `resolve(int value)` Returns the QGraphicsPixmapItem$ShapeMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsPixmapItem.ShapeMode` | `valueOf(java.lang.String name)`
`static QGraphicsPixmapItem.ShapeMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MaskShape

    public static final QGraphicsPixmapItem.ShapeMode MaskShape

  The shape is determined by calling `QPixmap::mask()`. This shape includes only the opaque pixels of the pixmap. Because the shape is more complex, however, it can be slower than the other modes, and uses more memory.

### BoundingRectShape

    public static final QGraphicsPixmapItem.ShapeMode BoundingRectShape

  The shape is determined by tracing the outline of the pixmap. This is the fastest shape mode, but it does not take into account any transparent areas on the pixmap.

### HeuristicMaskShape

    public static final QGraphicsPixmapItem.ShapeMode HeuristicMaskShape

  The shape is determine by calling `QPixmap::createHeuristicMask()`. The performance and memory consumption is similar to `MaskShape` .

Method Detail

### values

    public static QGraphicsPixmapItem.ShapeMode[] values()

### valueOf

    public static QGraphicsPixmapItem.ShapeMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsPixmapItem.ShapeMode resolve(int value)

  Returns the QGraphicsPixmapItem$ShapeMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD